Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.consensus
Class ThreadedPercentageIDConsensusCalculatorMetaData

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.consensus.PercentageIDConsensusCalculatorMetaData
            |
            +--uk.ac.man.bioinf.apps.cinema.consensus.ThreadedPercentageIDConsensusCalculatorMetaData

All Implemented Interfaces:
  CinemaConsensusCalculatorMetaData

public class ThreadedPercentageIDConsensusCalculatorMetaData
extends PercentageIDConsensusCalculatorMetaData

ThreadedPercentageIDConsensusCalculatorMetaData.java Created: Wed Nov 8 15:01:52 2000

Version:
  $Id: ThreadedPercentageIDConsensusCalculatorMetaData.java,v 1.6 2001/05/08 17:39:16 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`ThreadedPercentageIDConsensusCalculatorMetaData()`

Method Summary
`String` | `getConsensusCalculatorName()`
`ConsensusSequence` | `getInstance(SequenceAlignment alignment)`
`void` | `setModule(CinemaModule module)`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.consensus.PercentageIDConsensusCalculatorMetaData
`getCalculatorInstance, getMetaDataInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedPercentageIDConsensusCalculatorMetaData

    public ThreadedPercentageIDConsensusCalculatorMetaData()

Method Detail

### setModule

    public void setModule(CinemaModule module)

  Specified by:
    `setModule` in interface `CinemaConsensusCalculatorMetaData`
  Overrides:
    `setModule` in class `PercentageIDConsensusCalculatorMetaData`

### getInstance

    public ConsensusSequence getInstance(SequenceAlignment alignment)

  Specified by:
    `getInstance` in interface `CinemaConsensusCalculatorMetaData`
  Overrides:
    `getInstance` in class `PercentageIDConsensusCalculatorMetaData`

### getConsensusCalculatorName

    public String getConsensusCalculatorName()

  Specified by:
    `getConsensusCalculatorName` in interface `CinemaConsensusCalculatorMetaData`
  Overrides:
    `getConsensusCalculatorName` in class `PercentageIDConsensusCalculatorMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD